package com.usky.system;


import com.usky.common.core.bean.ApiResult;
import com.usky.system.domain.SysLogininforVO;
import com.usky.system.domain.SysOperLogVO;
import com.usky.system.factory.RemoteLogFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 日志服务
 *
 * @author ruoyi
 */
@FeignClient(contextId = "remoteLogService", value = "usky-system", fallbackFactory = RemoteLogFallbackFactory.class)
public interface RemoteLogService
{
    /**
     * 保存系统日志
     *
     * @param sysOperLog 日志实体
     * @return 结果
     */
    @PostMapping("/operlog")
    public ApiResult<Boolean> saveLog(@RequestBody SysOperLogVO sysOperLog);

    /**
     * 保存访问记录
     *
     * @param sysLogininfor 访问实体
     * @return 结果
     */
    @PostMapping("/logininfor")
    public ApiResult<Boolean> saveLogininfor(@RequestBody SysLogininforVO sysLogininfor);
}
