package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 移动端_租户配置表
 * </p>
 *
 * @author JCB
 * @since 2022-08-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysMobileTenantConfig implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 租户ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 登录域名
     */
    private String loginDomain;

    /**
     * 登录标题
     */
    private String loginTitle;

    /**
     * 登录页logo
     */
    private String loginLogo;

    /**
     * 登录页背景地址
     */
    private String loginBackUrl;

    /**
     * 登录页底部名称
     */
    private String loginFooter;

    /**
     * 登录类型 1:账号登录 2:手机登录 3:账号手机登录
     */
    private Integer loginType;

    /**
     * 轮询图集合
     */
    private String middleUrl;

    /**
     * 主页logo地址
     */
    private String homeLogo;

    /**
     * 主页导航布局
     */
    private String homeLayout;

    /**
     * 主页主题样式
     */
    private String homeStyle;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
