package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 人员信息
 * </p>
 *
 * @author JCB
 * @since 2022-08-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 姓名
     */
    private String fullName;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 性别;1男、2女
     */
    private Integer gender;

    /**
     * 家庭住址
     */
    private String address;

    /**
     * 文化程度;1小学、2初中、3高中、4大专、5本科、6硕士研究生、7博士研究生、8其他
     */
    private Integer educationDegree;

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 联系方式
     */
    private String linkPhone;

    /**
     * 岗位ID
     */
    private Long postId;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 入职时间
     */
    private Date entryTime;

    /**
     * 证书1
     */
    private String certificateUrl1;

    /**
     * 证书2
     */
    private String certificateUrl2;

    /**
     * 证书3
     */
    private String certificateUrl3;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updatePerson;

    /**
     * 更新时间
     */
    private Date updateTime;


}
