package com.usky.system.mapper;


import com.usky.common.mybatis.core.CrudMapper;
import com.usky.system.domain.SysRoleDept;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 角色与部门关联表 数据层
 * 
 * @author yq
 */
@Repository
public interface SysRoleDeptMapper extends CrudMapper<SysRoleDept>
{
    /**
     * 通过角色ID删除角色和部门关联
     * 
     * @param roleId 角色ID
     * @return 结果
     */
    public int deleteRoleDeptByRoleId(@Param("roleId") Long roleId);

    /**
     * 批量删除角色部门关联信息
     * 
     * @param roleId 需要删除的数据ID
     * @return 结果
     */
    public int deleteRoleDept(@Param("roleId") Long[] roleId);

    /**
     * 查询部门使用数量
     * 
     * @param deptId 部门ID
     * @return 结果
     */
    public int selectCountRoleDeptByDeptId(@Param("deptId") Long deptId);

    /**
     * 批量新增角色部门信息
     * 
     * @param roleDeptList 角色部门列表
     * @return 结果
     */
    public int batchRoleDept(List<SysRoleDept> roleDeptList);
}
