package com.usky.system.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.system.domain.SysTenant;
import com.usky.system.service.vo.SysTenantTwoVo;
import com.usky.system.service.vo.SysTenantVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 租户信息表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-05-05
 */
public interface SysTenantMapper extends CrudMapper<SysTenant> {

    List<SysTenantVo> getUserData(@Param("userId") int userId);

    List<SysTenantTwoVo> getTenantData(@Param("tenantName") String tenantName,
                                       @Param("tenantManager") String tenantManager,
                                       @Param("tenantType") String tenantType,
                                       @Param("status") String status,
                                       @Param("startTime") String startTime,
                                       @Param("endTime") String endTime,
                                       @Param("current") Integer current,
                                       @Param("size") Integer size,
                                       @Param("id") Integer id);

    List<SysTenantTwoVo> getTenantDataOne(@Param("tenantName") String tenantName,
                                          @Param("tenantManager") String tenantManager,
                                          @Param("current") Integer current,
                                          @Param("size") Integer size);

}
