package com.usky.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.system.domain.SysMobileTenantConfig;
import com.usky.system.mapper.SysMobileTenantConfigMapper;
import com.usky.system.service.SysMobileTenantConfigService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 移动端_租户配置表 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-08-09
 */
@Service
public class SysMobileTenantConfigServiceImpl extends AbstractCrudService<SysMobileTenantConfigMapper, SysMobileTenantConfig> implements SysMobileTenantConfigService {

    @Override
    public List<SysMobileTenantConfig> getMobileTenantConfig(String url) {
        LambdaQueryWrapper<SysMobileTenantConfig> query = Wrappers.lambdaQuery();
        query.eq(SysMobileTenantConfig::getLoginDomain, url);
        List<SysMobileTenantConfig> list = this.list(query);
        return list;
    }

}
