package com.usky.system.service.vo;


import com.usky.common.core.constants.Constants;
import com.usky.common.core.util.StringUtils;


/**
 * 路由显示信息
 * 
 * @author yq
 */
public class MetaVo
{
    /**
     * 设置该路由在侧边栏和面包屑中展示的名字
     */
    private String title;

    /**
     * 设置该路由的图标，对应路径src/assets/icons/svg
     */
    private String icon;

    /**
     * 前端用
      */
    private Boolean affix;

    public MetaVo()
    {
    }

    public MetaVo(String title, String icon)
    {
        this.title = title;
        this.icon = icon;
    }

    public MetaVo(String title, String icon, boolean noCache)
    {
        this.title = title;
        this.icon = icon;
    }

    public MetaVo(String title, String icon, String link)
    {
        this.title = title;
        this.icon = icon;
    }

    public MetaVo(String title, String icon, boolean noCache, String link)
    {
        this.title = title;
        this.icon = icon;
        if (StringUtils.startsWithAny(link, Constants.HTTP, Constants.HTTPS))
        {

        }
    }


    public String getTitle()
    {
        return title;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getIcon()
    {
        return icon;
    }

    public void setIcon(String icon)
    {
        this.icon = icon;
    }



    public Boolean getAffix()
    {
        return affix;
    }

    public void setAffix(boolean affix)
    {
        this.affix = affix;
    }
}
